export declare function _search(query: string, limit?: number): Promise<{
    title: string;
    description: string;
    excerpt: string;
}[]>;
export declare function _summary(title: string): Promise<{
    title: string;
    description: string;
    extract: string;
    url: string;
}>;
export declare function _article(title: string): Promise<{
    title: string;
    text: string;
    url: string;
}>;
